Package net.sf.saxon.expr.flwor

## Enum Clause.ClauseName

- java.lang.Object
- - java.lang.Enum<Clause.ClauseName>
  - - net.sf.saxon.expr.flwor.Clause.ClauseName

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Clause.ClauseName>`
  Enclosing class:
    Clause

      public static enum Clause.ClauseName
      extends java.lang.Enum<Clause.ClauseName>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COUNT` |
    `FOR` |
    `FOR_MEMBER` |
    `GROUP_BY` |
    `LET` |
    `ORDER_BY` |
    `TRACE` |
    `WHERE` |
    `WINDOW` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Clause.ClauseName` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Clause.ClauseName[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FOR

          public static final Clause.ClauseName FOR

    - #### LET

          public static final Clause.ClauseName LET

    - #### WINDOW

          public static final Clause.ClauseName WINDOW

    - #### GROUP_BY

          public static final Clause.ClauseName GROUP_BY

    - #### COUNT

          public static final Clause.ClauseName COUNT

    - #### ORDER_BY

          public static final Clause.ClauseName ORDER_BY

    - #### WHERE

          public static final Clause.ClauseName WHERE

    - #### TRACE

          public static final Clause.ClauseName TRACE

    - #### FOR_MEMBER

          public static final Clause.ClauseName FOR_MEMBER

  - ### Method Detail

    - #### values

          public static Clause.ClauseName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Clause.ClauseName c : Clause.ClauseName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Clause.ClauseName valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null